USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[MDS_EVENT_NTWK_ACTY](
	[ID] BIGINT IDENTITY(1,1) NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[NTWK_ACTY_TYPE_ID] [tinyint] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_MDS_EVENT_NTWK_ACTY] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[MDS_EVENT_NTWK_ACTY] ADD  CONSTRAINT [UX01_MDS_EVENT_NTWK_ACTY] UNIQUE NONCLUSTERED 
(
	[EVENT_ID] ASC,
	[NTWK_ACTY_TYPE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[MDS_EVENT_NTWK_ACTY] ADD  CONSTRAINT [DF_getdate_MENA_1]  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[MDS_EVENT_NTWK_ACTY]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_NTWK_ACTY] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_NTWK_ACTY] CHECK CONSTRAINT [FK01_MDS_EVENT_NTWK_ACTY]
GO

ALTER TABLE [dbo].[MDS_EVENT_NTWK_ACTY]  WITH NOCHECK ADD  CONSTRAINT [FK02_MDS_EVENT_NTWK_ACTY] FOREIGN KEY([NTWK_ACTY_TYPE_ID])
REFERENCES [dbo].[LK_MDS_NTWK_ACTY_TYPE] ([NTWK_ACTY_TYPE_ID])
GO

ALTER TABLE [dbo].[MDS_EVENT_NTWK_ACTY] CHECK CONSTRAINT [FK02_MDS_EVENT_NTWK_ACTY]
GO


--Script to load the new table
INSERT INTO dbo.[MDS_EVENT_NTWK_ACTY] ([EVENT_ID],[NTWK_ACTY_TYPE_ID])
SELECT DISTINCT EVENT_ID, 1
FROM dbo.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 1
UNION
SELECT DISTINCT EVENT_ID, 2
FROM dbo.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 2
UNION
SELECT DISTINCT EVENT_ID, 1
FROM dbo.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 3
UNION
SELECT DISTINCT EVENT_ID, 2
FROM dbo.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 3
UNION
SELECT DISTINCT EVENT_ID, 3
FROM dbo.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 4
UNION
SELECT DISTINCT EVENT_ID, 1
FROM dbo.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 5
UNION
SELECT DISTINCT EVENT_ID, 2
FROM dbo.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 5
UNION
SELECT DISTINCT EVENT_ID, 3
FROM dbo.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 5
GO

--ADD Design Doc, Engr Email and Phone to NTWK_TRPT
ALTER TABLE dbo.MDS_EVENT_NTWK_TRPT
ADD DD_APRVL_NBR	varchar(200) NULL,
SALS_ENGR_PHN	varchar(100) NULL,
SALS_ENGR_EMAIL	varchar(250) NULL,
VAS_TYPE VARCHAR(100) NULL
GO

UPDATE ment
SET DD_APRVL_NBR = me.DD_APRVL_NBR,
SALS_ENGR_PHN = me.SALS_ENGR_PHN,
SALS_ENGR_EMAIL = me.SALS_ENGR_EMAIL
FROM dbo.MDS_EVENT_NTWK_TRPT ment INNER JOIN
dbo.MDS_EVENT me WITH (NOLOCK) ON me.EVENT_ID=ment.EVENT_ID
WHERE ment.REC_STUS_ID=1
GO

IF EXISTS (SELECT * FROM SYS.INDEXES WHERE NAME='IX01_MDS_EVENT_NTWK_TRPT')
BEGIN
DROP INDEX IX01_MDS_EVENT_NTWK_TRPT ON dbo.MDS_EVENT_NTWK_TRPT
END

ALTER TABLE dbo.MDS_EVENT_NTWK_TRPT
ALTER COLUMN [IP_NUA_ADR] [varchar](max) NULL
GO

CREATE NONCLUSTERED INDEX [IX01_MDS_EVENT_NTWK_TRPT] ON [dbo].[MDS_EVENT_NTWK_TRPT]
(
	[EVENT_ID] ASC
)
INCLUDE([MACH5_ORDR_NBR],[ASSOC_H6]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

--DROP columns from MDS_EVENT and ADD MDS/VAS/NTWK complete code columns
ALTER TABLE dbo.MDS_EVENT
ADD MDS_CMPLT_CD BIT NULL,
NTWK_CMPLT_CD BIT NULL,
VAS_CMPLT_CD BIT NULL
GO

UPDATE me
SET MDS_CMPLT_CD= CASE WHEN lmnam.NTWK_ACTY_TYPE_ID IS NULL THEN 0 ELSE 1 END,
NTWK_CMPLT_CD=CASE WHEN lmnan.NTWK_ACTY_TYPE_ID IS NULL THEN 0 ELSE 1 END,
VAS_CMPLT_CD=CASE WHEN lmnav.NTWK_ACTY_TYPE_ID IS NULL THEN 0 ELSE 1 END
FROM dbo.MDS_EVENT me WITH (NOLOCK) INNER JOIN
dbo.MDS_EVENT_NTWK_ACTY mena WITH (NOLOCK) ON mena.EVENT_ID=me.EVENT_ID LEFT JOIN
dbo.LK_MDS_NTWK_ACTY_TYPE lmnam WITH (NOLOCK) ON lmnam.NTWK_ACTY_TYPE_ID=mena.NTWK_ACTY_TYPE_ID AND lmnam.NTWK_ACTY_TYPE_ID=1 LEFT JOIN
dbo.LK_MDS_NTWK_ACTY_TYPE lmnan WITH (NOLOCK) ON lmnan.NTWK_ACTY_TYPE_ID=mena.NTWK_ACTY_TYPE_ID AND lmnan.NTWK_ACTY_TYPE_ID=2 LEFT JOIN
dbo.LK_MDS_NTWK_ACTY_TYPE lmnav WITH (NOLOCK) ON lmnav.NTWK_ACTY_TYPE_ID=mena.NTWK_ACTY_TYPE_ID AND lmnav.NTWK_ACTY_TYPE_ID=3
WHERE me.EVENT_STUS_ID=6
GO

UPDATE dbo.MDS_EVENT
SET MDS_CMPLT_CD=0,
NTWK_CMPLT_CD=0,
VAS_CMPLT_CD=0
WHERE EVENT_STUS_ID!=6
GO

ALTER TABLE dbo.MDS_EVENT
ALTER COLUMN MDS_CMPLT_CD BIT NOT NULL
GO

ALTER TABLE dbo.MDS_EVENT
ALTER COLUMN NTWK_CMPLT_CD BIT NOT NULL
GO

ALTER TABLE dbo.MDS_EVENT
ALTER COLUMN VAS_CMPLT_CD BIT NOT NULL
GO

--Add SoftAssign Code to dbo.APPT
ALTER TABLE dbo.MDS_EVENT
ADD SOFT_ASSIGN_CD BIT NULL
GO

UPDATE dbo.MDS_EVENT
SET SOFT_ASSIGN_CD=0
GO

ALTER TABLE dbo.MDS_EVENT
ALTER COLUMN SOFT_ASSIGN_CD BIT NOT NULL
GO

ALTER TABLE dbo.MDS_EVENT
ALTER COLUMN NTWK_H6 VARCHAR(MAX) NULL
GO

--Alternate Shipping Section
ALTER TABLE dbo.MDS_EVENT
ADD ALT_SHIP_POC_NME varchar(500) NULL,
ALT_SHIP_POC_PHN_NBR varchar(200) NULL,
ALT_SHIP_POC_EMAIL varchar(500) NULL,
ALT_SHIP_STREET_ADR varchar(500) NULL,
ALT_SHIP_FLR_BLDG_NME varchar(200) NULL,
ALT_SHIP_CTY_NME varchar(500) NULL,
ALT_SHIP_STT_PRVN_NME varchar(500) NULL,
ALT_SHIP_CTRY_RGN_NME varchar(500) NULL,
ALT_SHIP_ZIP_CD varchar(200) NULL
GO

ALTER TABLE dbo.MDS_EVENT_NTWK_CUST
ADD ASSOC_H6 CHAR(9) NULL
GO

UPDATE menc
SET ASSOC_H6 = CASE WHEN LEN(me.NTWK_H6)>9 THEN SUBSTRING(me.NTWK_H6,1,9) ELSE me.NTWK_H6 END
FROM dbo.MDS_EVENT_NTWK_CUST menc
INNER JOIN dbo.MDS_EVENT me WITH (NOLOCK) ON me.EVENT_ID=menc.EVENT_ID
GO

DELETE FROM dbo.MDS_EVENT_NTWK_CUST WHERE REC_STUS_ID=0
GO

ALTER TABLE dbo.MDS_EVENT_NTWK_CUST
DROP CONSTRAINT DF_MDS_EVENT_NTWK_CUST_REC_STUS_ID_1
GO
ALTER TABLE dbo.MDS_EVENT_NTWK_CUST
DROP COLUMN REC_STUS_ID
GO

IF EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='FK14_MDS_EVENT' AND CONSTRAINT_SCHEMA='dbo')
BEGIN
ALTER TABLE dbo.MDS_EVENT
DROP CONSTRAINT FK14_MDS_EVENT
END
GO

ALTER TABLE dbo.MDS_EVENT
DROP COLUMN [NTWK_ACTY_TYPE_ID]
GO

ALTER TABLE dbo.MDS_EVENT
DROP COLUMN [DD_APRVL_NBR]
GO

ALTER TABLE dbo.MDS_EVENT
DROP COLUMN [SALS_ENGR_PHN]
GO

ALTER TABLE dbo.MDS_EVENT
DROP COLUMN [SALS_ENGR_EMAIL]
GO

--Archive Tables
CREATE TABLE [arch].[MDS_EVENT_NTWK_ACTY](
	[ID] BIGINT NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[NTWK_ACTY_TYPE_ID] [tinyint] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_MDS_EVENT_NTWK_ACTY_Arch] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [arch].[MDS_EVENT_NTWK_ACTY] ADD  CONSTRAINT [UX01_MDS_EVENT_NTWK_ACTY_Arch] UNIQUE NONCLUSTERED 
(
	[EVENT_ID] ASC,
	[NTWK_ACTY_TYPE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [arch].[MDS_EVENT_NTWK_ACTY]  WITH NOCHECK ADD  CONSTRAINT [FK01_MDS_EVENT_NTWK_ACTY_Arch] FOREIGN KEY([EVENT_ID])
REFERENCES [arch].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [arch].[MDS_EVENT_NTWK_ACTY] CHECK CONSTRAINT [FK01_MDS_EVENT_NTWK_ACTY_Arch]
GO

ALTER TABLE [arch].[MDS_EVENT_NTWK_ACTY]  WITH NOCHECK ADD  CONSTRAINT [FK02_MDS_EVENT_NTWK_ACTY_Arch] FOREIGN KEY([NTWK_ACTY_TYPE_ID])
REFERENCES [dbo].[LK_MDS_NTWK_ACTY_TYPE] ([NTWK_ACTY_TYPE_ID])
GO

ALTER TABLE [arch].[MDS_EVENT_NTWK_ACTY] CHECK CONSTRAINT [FK02_MDS_EVENT_NTWK_ACTY_Arch]
GO


--Script to load the new table
INSERT INTO arch.[MDS_EVENT_NTWK_ACTY] ([EVENT_ID],[NTWK_ACTY_TYPE_ID])
SELECT DISTINCT EVENT_ID, 1
FROM arch.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 1
UNION
SELECT DISTINCT EVENT_ID, 2
FROM arch.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 2
UNION
SELECT DISTINCT EVENT_ID, 1
FROM arch.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 3
UNION
SELECT DISTINCT EVENT_ID, 2
FROM arch.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 3
UNION
SELECT DISTINCT EVENT_ID, 3
FROM arch.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 4
UNION
SELECT DISTINCT EVENT_ID, 1
FROM arch.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 5
UNION
SELECT DISTINCT EVENT_ID, 2
FROM arch.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 5
UNION
SELECT DISTINCT EVENT_ID, 3
FROM arch.MDS_EVENT WITH (NOLOCK)
WHERE NTWK_ACTY_TYPE_ID = 5
GO

CREATE TABLE [arch].[MDS_EVENT_NTWK_TRPT](
	[MDS_EVENT_NTWK_TRPT_ID] [int] NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[MDS_TRNSPRT_TYPE] [varchar](100) NOT NULL,
	[LEC_PRVDR_NME] [varchar](200) NULL,
	[LEC_CNTCT_INFO] [varchar](1000) NULL,
	[MACH5_ORDR_NBR] [varchar](50) NULL,
	[IP_NUA_ADR] [varchar](max) NULL,
	[MPLS_ACCS_BDWD] [varchar](50) NULL,
	[SCA_NBR] [varchar](100) NULL,
	[TAGGD_CD] [bit] NULL,
	[VLAN_NBR] [varchar](50) NULL,
	[MULTI_VRF_REQ] [varchar](255) NULL,
	[IP_VER] [varchar](50) NULL,
	[LOC_CITY] [varchar](200) NULL,
	[LOC_STT_PRVN] [varchar](200) NULL,
	[LOC_CTRY] [varchar](200) NULL,
	[ASSOC_H6] [char](9) NULL,
	[CREAT_DT] [datetime] NOT NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
	[MODFD_DT] [datetime] NULL,
	[DD_APRVL_NBR] [varchar](200) NULL,
	[SALS_ENGR_PHN] [varchar](100) NULL,
	[SALS_ENGR_EMAIL] [varchar](250) NULL,
	[VAS_TYPE] [varchar](100) NULL,
 CONSTRAINT [PK_MDS_EVENT_NTWK_TRPT_Arch] PRIMARY KEY CLUSTERED 
(
	[MDS_EVENT_NTWK_TRPT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [arch].[MDS_EVENT_NTWK_TRPT]  WITH CHECK ADD  CONSTRAINT [FK01_MDS_EVENT_NTWK_TRPT_Arch] FOREIGN KEY([EVENT_ID])
REFERENCES [arch].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [arch].[MDS_EVENT_NTWK_TRPT] CHECK CONSTRAINT [FK01_MDS_EVENT_NTWK_TRPT_Arch]
GO


--DROP columns from MDS_EVENT and ADD MDS/VAS/NTWK complete code columns
ALTER TABLE arch.MDS_EVENT
ADD MDS_CMPLT_CD BIT NULL,
NTWK_CMPLT_CD BIT NULL,
VAS_CMPLT_CD BIT NULL
GO

UPDATE me
SET MDS_CMPLT_CD= CASE WHEN lmnam.NTWK_ACTY_TYPE_ID IS NULL THEN 0 ELSE 1 END,
NTWK_CMPLT_CD=CASE WHEN lmnan.NTWK_ACTY_TYPE_ID IS NULL THEN 0 ELSE 1 END,
VAS_CMPLT_CD=CASE WHEN lmnav.NTWK_ACTY_TYPE_ID IS NULL THEN 0 ELSE 1 END
FROM arch.MDS_EVENT me WITH (NOLOCK) INNER JOIN
arch.MDS_EVENT_NTWK_ACTY mena WITH (NOLOCK) ON mena.EVENT_ID=me.EVENT_ID LEFT JOIN
dbo.LK_MDS_NTWK_ACTY_TYPE lmnam WITH (NOLOCK) ON lmnam.NTWK_ACTY_TYPE_ID=mena.NTWK_ACTY_TYPE_ID AND lmnam.NTWK_ACTY_TYPE_ID=1 LEFT JOIN
dbo.LK_MDS_NTWK_ACTY_TYPE lmnan WITH (NOLOCK) ON lmnan.NTWK_ACTY_TYPE_ID=mena.NTWK_ACTY_TYPE_ID AND lmnan.NTWK_ACTY_TYPE_ID=2 LEFT JOIN
dbo.LK_MDS_NTWK_ACTY_TYPE lmnav WITH (NOLOCK) ON lmnav.NTWK_ACTY_TYPE_ID=mena.NTWK_ACTY_TYPE_ID AND lmnav.NTWK_ACTY_TYPE_ID=3
WHERE me.EVENT_STUS_ID=6
GO

UPDATE arch.MDS_EVENT
SET MDS_CMPLT_CD=0,
NTWK_CMPLT_CD=0,
VAS_CMPLT_CD=0
WHERE EVENT_STUS_ID!=6
GO

ALTER TABLE arch.MDS_EVENT
ALTER COLUMN MDS_CMPLT_CD BIT NOT NULL
GO

ALTER TABLE arch.MDS_EVENT
ALTER COLUMN NTWK_CMPLT_CD BIT NOT NULL
GO

ALTER TABLE arch.MDS_EVENT
ALTER COLUMN VAS_CMPLT_CD BIT NOT NULL
GO

--Add SoftAssign Code to arch.APPT
ALTER TABLE arch.MDS_EVENT
ADD SOFT_ASSIGN_CD BIT NULL
GO

UPDATE arch.MDS_EVENT
SET SOFT_ASSIGN_CD=0
GO

ALTER TABLE arch.MDS_EVENT
ALTER COLUMN SOFT_ASSIGN_CD BIT NOT NULL
GO

ALTER TABLE arch.MDS_EVENT
ALTER COLUMN NTWK_H6 VARCHAR(MAX) NULL
GO

--Alternate Shipping Section
ALTER TABLE arch.MDS_EVENT
ADD ALT_SHIP_POC_NME varchar(500) NULL,
ALT_SHIP_POC_PHN_NBR varchar(200) NULL,
ALT_SHIP_POC_EMAIL varchar(500) NULL,
ALT_SHIP_STREET_ADR varchar(500) NULL,
ALT_SHIP_FLR_BLDG_NME varchar(200) NULL,
ALT_SHIP_CTY_NME varchar(500) NULL,
ALT_SHIP_STT_PRVN_NME varchar(500) NULL,
ALT_SHIP_CTRY_RGN_NME varchar(500) NULL,
ALT_SHIP_ZIP_CD varchar(200) NULL
GO

CREATE TABLE [arch].[MDS_EVENT_NTWK_CUST](
	[MDS_EVENT_NTWK_CUST_ID] [int] NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[INSTL_SITE_POC_NME] [varchar](200) NOT NULL,
	[INSTL_SITE_POC_PHN] [varchar](500) NOT NULL,
	[INSTL_SITE_POC_EMAIL] [varchar](200) NOT NULL,
	[ROLE_NME] [varchar](200) NOT NULL,
	[CREAT_DT] [datetime] NOT NULL,
	[MODFD_DT] [datetime] NULL,
	[ASSOC_H6] [char](9) NOT NULL,
 CONSTRAINT [PK_MDS_EVENT_NTWK_CUST_Arch] PRIMARY KEY CLUSTERED 
(
	[MDS_EVENT_NTWK_CUST_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [arch].[MDS_EVENT_NTWK_CUST]  WITH CHECK ADD  CONSTRAINT [FK01_MDS_EVENT_NTWK_CUST_Arch] FOREIGN KEY([EVENT_ID])
REFERENCES [arch].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [arch].[MDS_EVENT_NTWK_CUST] CHECK CONSTRAINT [FK01_MDS_EVENT_NTWK_CUST_Arch]
GO

IF EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='FK14_MDS_EVENT' AND CONSTRAINT_SCHEMA='arch')
BEGIN
ALTER TABLE arch.MDS_EVENT
DROP CONSTRAINT FK14_MDS_EVENT
END
GO

ALTER TABLE arch.MDS_EVENT
DROP COLUMN [NTWK_ACTY_TYPE_ID]
GO

ALTER TABLE arch.MDS_EVENT
DROP COLUMN [DD_APRVL_NBR]
GO

ALTER TABLE arch.MDS_EVENT
DROP COLUMN [SALS_ENGR_PHN]
GO

ALTER TABLE arch.MDS_EVENT
DROP COLUMN [SALS_ENGR_EMAIL]
GO